## EMVFolderRule

EMVFolderRule

## Functions

EFilterRule * | em_vfolder_rule_new ()
void | em_vfolder_rule_add_source ()
void | em_vfolder_rule_remove_source ()
const gchar * | em_vfolder_rule_find_source ()
const gchar * | em_vfolder_rule_next_source ()
GQueue * | em_vfolder_rule_get_sources ()
void | em_vfolder_rule_sources_changed ()
gboolean | em_vfolder_rule_source_get_include_subfolders ()
void | em_vfolder_rule_source_set_include_subfolders ()
em_vfolder_rule_with_t | em_vfolder_rule_get_with ()
void | em_vfolder_rule_set_with ()
gboolean | em_vfolder_rule_get_autoupdate ()
void | em_vfolder_rule_set_autoupdate ()

## Types and Values

enum | em_vfolder_rule_with_t

## Object Hierarchy

        GObject
        ╰── EFilterRule
            ╰── EMVFolderRule

## Description

## Functions

### em_vfolder_rule_new ()

    EFilterRule *
    em_vfolder_rule_new (void);

### em_vfolder_rule_add_source ()

    void
    em_vfolder_rule_add_source (EMVFolderRule *rule,
                                const gchar *uri);

### em_vfolder_rule_remove_source ()

    void
    em_vfolder_rule_remove_source (EMVFolderRule *rule,
                                   const gchar *uri);

### em_vfolder_rule_find_source ()

    const gchar *
    em_vfolder_rule_find_source (EMVFolderRule *rule,
                                 const gchar *uri);

### em_vfolder_rule_next_source ()

    const gchar *
    em_vfolder_rule_next_source (EMVFolderRule *rule,
                                 const gchar *last);

### em_vfolder_rule_get_sources ()

    GQueue *
    em_vfolder_rule_get_sources (EMVFolderRule *rule);

### em_vfolder_rule_sources_changed ()

    void
    em_vfolder_rule_sources_changed (EMVFolderRule *rule);

### em_vfolder_rule_source_get_include_subfolders ()

    gboolean
    em_vfolder_rule_source_get_include_subfolders
                                   (EMVFolderRule *rule,
                                    const gchar *source);

### em_vfolder_rule_source_set_include_subfolders ()

    void
    em_vfolder_rule_source_set_include_subfolders
                                   (EMVFolderRule *rule,
                                    const gchar *source,
                                    gboolean include_subfolders);

### em_vfolder_rule_get_with ()

    em_vfolder_rule_with_t
    em_vfolder_rule_get_with (EMVFolderRule *rule);

### em_vfolder_rule_set_with ()

    void
    em_vfolder_rule_set_with (EMVFolderRule *rule,
                              em_vfolder_rule_with_t with);

### em_vfolder_rule_get_autoupdate ()

    gboolean
    em_vfolder_rule_get_autoupdate (EMVFolderRule *rule);

### em_vfolder_rule_set_autoupdate ()

    void
    em_vfolder_rule_set_autoupdate (EMVFolderRule *rule,
                                    gboolean autoupdate);

## Types and Values

### enum em_vfolder_rule_with_t

#### Members

EM_VFOLDER_RULE_WITH_SPECIFIC |  |
EM_VFOLDER_RULE_WITH_LOCAL_REMOTE_ACTIVE |  |
EM_VFOLDER_RULE_WITH_REMOTE_ACTIVE |  |
EM_VFOLDER_RULE_WITH_LOCAL |  |